Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class AnnotationVisitor

    java.lang.Object
      org.codehaus.groovy.classgen.AnnotationVisitor

    public class AnnotationVisitor

extends Object

An Annotation visitor responsible with: - reading annotation metadata (@Retention, @Target, attribute types) - verify that an `AnnotationNode` conforms to annotation meta - enhancing an `AnnotationNode` AST to reflect real annotation meta

Author:
  Alex Popescu

Constructor Summary
`AnnotationVisitor(SourceUnit source, ErrorCollector errorCollector)`

Method Summary
`protected void` | `addError(String msg)`
`protected void` | `addError(String msg, ASTNode expr)`
`AnnotationNode` | `visit(AnnotationNode node)`
`protected void` | `visitAnnotationExpression(String attrName, AnnotationConstantExpression expression, Class attrType)`
`protected void` | `visitConstantExpression(String attrName, ConstantExpression constExpr, ClassNode attrType)`
`protected void` | `visitEnumExpression(String attrName, PropertyExpression propExpr, ClassNode attrType)`
`protected void` | `visitExpression(String attrName, Expression attrAst, Class attrType)`
`protected void` | `visitListExpression(String attrName, ListExpression listExpr, Class elementType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationVisitor

    public AnnotationVisitor(SourceUnit source,
                             ErrorCollector errorCollector)

Method Detail

### visit

    public AnnotationNode visit(AnnotationNode node)

### visitExpression

    protected void visitExpression(String attrName,
                                   Expression attrAst,
                                   Class attrType)

### visitAnnotationExpression

    protected void visitAnnotationExpression(String attrName,
                                             AnnotationConstantExpression expression,
                                             Class attrType)

  Parameters:
    `attrName` -
    `expression` -
    `attrType` -

### visitListExpression

    protected void visitListExpression(String attrName,
                                       ListExpression listExpr,
                                       Class elementType)

### visitConstantExpression

    protected void visitConstantExpression(String attrName,
                                           ConstantExpression constExpr,
                                           ClassNode attrType)

### visitEnumExpression

    protected void visitEnumExpression(String attrName,
                                       PropertyExpression propExpr,
                                       ClassNode attrType)

### addError

    protected void addError(String msg)

### addError

    protected void addError(String msg,
                            ASTNode expr)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD